Move article
curl --request PUT \
--url https://api-prod.usefini.com/v2/hc-articles/{id}/move/public \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"parentFolderId": "<string>"
}
'import requests
url = "https://api-prod.usefini.com/v2/hc-articles/{id}/move/public"
payload = { "parentFolderId": "<string>" }
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'},
body: JSON.stringify({parentFolderId: '<string>'})
};
fetch('https://api-prod.usefini.com/v2/hc-articles/{id}/move/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Knowledge
Move article
Move an article into a different folder.
PUT
/
v2
/
hc-articles
/
{id}
/
move
/
public
Move article
Use this route to move an article between folders in the knowledge tree.
Headers
string
required
Bearer token containing your Fini workspace API key. Format:
Bearer fini_... The key needs write scope.string
required
application/jsonPath parameters
string
required
Article ID to move.
Body parameters
string
required
Destination folder ID.
Response
Returns the moved article object. See Manage knowledge for the shared article fields.The response reflects the article after its
parentFolderId has been updated.Errors
400 Bad Request
400 Bad Request
The request body is malformed.
401 Unauthorized
401 Unauthorized
The API key is missing, malformed, revoked, or invalid.
403 Forbidden
403 Forbidden
The API key does not include the
write scope.404 Not Found
404 Not Found
The article or destination folder does not exist in the workspace.
Was this page helpful?
⌘I

